Name: soundwrapper
Version:	1.5
Release:	%mkrel 3
Summary:	Directs a program's sound output to aRts or esd
Source0:	%{name}-%{version}.tar.bz2
License:	LGPL
Group:		System/Base
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prefix:		%{_prefix}
BuildRequires:	libarts-devel 
BuildRequires: esound-devel
Conflicts:  menu < 2.1.12-9mdk

%description
When placed before a command to run a program with some audio component,
that program's audio output is redirected to the aRts or EsounD sound
servers if either of them is in control of the sound device

%prep
%setup -q

aclocal
automake --add-missing
autoconf

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/soundwrapper



%changelog
* Mon Sep 11 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-11 16:04:43 (60827)
- Remove explicit aoss dependency. Drak tools should know when to install it as
  reported by David Walser

* Tue Sep 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-05 22:48:14 (60173)
- Added aoss as a requires to alsa, since code relies on this, otherwise alsa
  test is useless.
- Add %%%%mkrel

* Tue Sep 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-09-05 21:31:23 (60165)
- import soundwrapper-1.5-1mdk

* Sat Dec 03 2005 David Walser <luigiwalser@yahoo.com> 1.5-1mdk
- don't return immediately if execvp fails

* Sun Nov 20 2005 David Walser <luigiwalser@yahoo.com> 1.4-1mdk
- add support for ALSA using aoss

* Fri Sep 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.3-3mdk
- add conflict in order to ease update

* Thu Sep 02 2004 Olivier Blin <blino@mandrake.org> 1.3-2mdk
- fix linking

* Thu Aug 26 2004 David Walser <luigiwalser@yahoo.com> 1.3-1mdk
- fix braces (silly emacs :o) (thanks blino)
- don't use absolute filenames for libs, it breaks 64bit arches (thanks blino)

* Wed Aug 25 2004 David Walser <luigiwalser@yahoo.com> 1.2-1mdk
- use dlopen() to avoid direct requires on libesd/libartsc

* Sun Apr 25 2004 David Walser <luigiwalser@yahoo.com> 1.1-1mdk
- fix stupid bug

* Thu Jul 10 2003 David Walser <luigiwalser@yahoo.com> 1.0-1mdk
- initial release

